Index: /XIOS/dev/dev_olga/src/transformation/axis_algorithm_inverse.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/axis_algorithm_inverse.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/axis_algorithm_inverse.cpp	(revision 1612)
@@ -27,4 +27,5 @@
                                                                std::map<int, int>& elementPositionInGridDst2AxisPosition,
                                                                std::map<int, int>& elementPositionInGridDst2DomainPosition)
+TRY
 {
   std::vector<CAxis*> axisListDestP = gridDst->getAxis();
@@ -37,13 +38,16 @@
   return (new CAxisAlgorithmInverse(axisListDestP[axisDstIndex], axisListSrcP[axisSrcIndex], inverseAxis));
 }
+CATCH
 
 bool CAxisAlgorithmInverse::registerTrans()
+TRY
 {
   CGridTransformationFactory<CAxis>::registerTransformation(TRANS_INVERSE_AXIS, create);
 }
-
+CATCH
 
 CAxisAlgorithmInverse::CAxisAlgorithmInverse(CAxis* axisDestination, CAxis* axisSource, CInverseAxis* inverseAxis)
  : CAxisAlgorithmTransformation(axisDestination, axisSource)
+TRY
 {
   if (axisDestination->n_glo.getValue() != axisSource->n_glo.getValue())
@@ -55,6 +59,8 @@
   }
 }
+CATCH
 
 void CAxisAlgorithmInverse::computeIndexSourceMapping_(const std::vector<CArray<double,1>* >& dataAuxInputs)
+TRY
 {
   this->transformationMapping_.resize(1);
@@ -82,4 +88,5 @@
   }
 }
+CATCH
 
 /*!
@@ -88,4 +95,5 @@
 */
 void CAxisAlgorithmInverse::updateAxisValue()
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -282,4 +290,5 @@
     delete [] itLong->second;
 }
-
-}
+CATCH
+
+}
Index: /XIOS/dev/dev_olga/src/transformation/axis_algorithm_reduce_axis.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/axis_algorithm_reduce_axis.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/axis_algorithm_reduce_axis.cpp	(revision 1612)
@@ -24,4 +24,5 @@
                                                                    std::map<int, int>& elementPositionInGridDst2AxisPosition,
                                                                    std::map<int, int>& elementPositionInGridDst2DomainPosition)
+TRY
 {
   std::vector<CAxis*> axisListDestP = gridDst->getAxis();
@@ -34,13 +35,17 @@
   return (new CAxisAlgorithmReduceAxis(axisListDestP[axisDstIndex], axisListSrcP[axisSrcIndex], reduceAxis));
 }
+CATCH
 
 bool CAxisAlgorithmReduceAxis::registerTrans()
+TRY
 {
   CGridTransformationFactory<CAxis>::registerTransformation(TRANS_REDUCE_AXIS_TO_AXIS, create);
 }
+CATCH
 
 
 CAxisAlgorithmReduceAxis::CAxisAlgorithmReduceAxis(CAxis* axisDestination, CAxis* axisSource, CReduceAxisToAxis* algo)
  : CAxisAlgorithmTransformation(axisDestination, axisSource), reduction_(0)
+TRY
 {
   eliminateRedondantSrc_= false ;
@@ -71,4 +76,5 @@
   reduction_ = CReductionAlgorithm::createOperation(CReductionAlgorithm::ReductionOperations[op]);
 }
+CATCH
 
 void CAxisAlgorithmReduceAxis::apply(const std::vector<std::pair<int,double> >& localIndex,
@@ -77,19 +83,26 @@
                                        std::vector<bool>& flagInitial,                     
                                        bool ignoreMissingValue, bool firstPass)
+TRY
 {
   reduction_->apply(localIndex, dataInput, dataOut, flagInitial, ignoreMissingValue, firstPass);
 }
+CATCH
 
 void CAxisAlgorithmReduceAxis::updateData(CArray<double,1>& dataOut)
+TRY
 {
   reduction_->updateData(dataOut);
 }
+CATCH
 
 CAxisAlgorithmReduceAxis::~CAxisAlgorithmReduceAxis()
+TRY
 {
   if (0 != reduction_) delete reduction_;
 }
+CATCH
 
 void CAxisAlgorithmReduceAxis::computeIndexSourceMapping_(const std::vector<CArray<double,1>* >& dataAuxInputs)
+TRY
 {
   this->transformationMapping_.resize(1);
@@ -109,4 +122,5 @@
   }
 }
+CATCH
 
 }
Index: /XIOS/dev/dev_olga/src/transformation/axis_algorithm_reduce_domain.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/axis_algorithm_reduce_domain.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/axis_algorithm_reduce_domain.cpp	(revision 1612)
@@ -25,4 +25,5 @@
                                                                    std::map<int, int>& elementPositionInGridDst2AxisPosition,
                                                                    std::map<int, int>& elementPositionInGridDst2DomainPosition)
+TRY
 {
   std::vector<CAxis*> axisListDestP = gridDst->getAxis();
@@ -35,13 +36,17 @@
   return (new CAxisAlgorithmReduceDomain(axisListDestP[axisDstIndex], domainListSrcP[domainSrcIndex], reduceDomain));
 }
+CATCH
 
 bool CAxisAlgorithmReduceDomain::registerTrans()
+TRY
 {
   CGridTransformationFactory<CAxis>::registerTransformation(TRANS_REDUCE_DOMAIN_TO_AXIS, create);
 }
+CATCH
 
 
 CAxisAlgorithmReduceDomain::CAxisAlgorithmReduceDomain(CAxis* axisDestination, CDomain* domainSource, CReduceDomainToAxis* algo)
  : CAxisAlgorithmTransformation(axisDestination, domainSource), reduction_(0)
+TRY
 {
   algo->checkValid(axisDestination, domainSource);
@@ -73,4 +78,5 @@
   local = algo->local ;
 }
+CATCH
 
 void CAxisAlgorithmReduceDomain::apply(const std::vector<std::pair<int,double> >& localIndex,
@@ -79,19 +85,26 @@
                                        std::vector<bool>& flagInitial,                     
                                        bool ignoreMissingValue, bool firstPass)
+TRY
 {
   reduction_->apply(localIndex, dataInput, dataOut, flagInitial, ignoreMissingValue, firstPass);
 }
+CATCH
 
 void CAxisAlgorithmReduceDomain::updateData(CArray<double,1>& dataOut)
+TRY
 {
   reduction_->updateData(dataOut);
 }
+CATCH
 
 CAxisAlgorithmReduceDomain::~CAxisAlgorithmReduceDomain()
+TRY
 {
   if (0 != reduction_) delete reduction_;
 }
+CATCH
 
 void CAxisAlgorithmReduceDomain::computeIndexSourceMapping_(const std::vector<CArray<double,1>* >& dataAuxInputs)
+TRY
 {
   this->transformationMapping_.resize(1);
@@ -174,4 +187,5 @@
   {}
 }
+CATCH
 
 }
Index: /XIOS/dev/dev_olga/src/transformation/axis_algorithm_temporal_splitting.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/axis_algorithm_temporal_splitting.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/axis_algorithm_temporal_splitting.cpp	(revision 1612)
@@ -21,4 +21,5 @@
                                                                      std::map<int, int>& elementPositionInGridDst2AxisPosition,
                                                                      std::map<int, int>& elementPositionInGridDst2DomainPosition)
+TRY
 {
   std::vector<CAxis*> axisListDestP = gridDst->getAxis();
@@ -31,10 +32,12 @@
   return (new CAxisAlgorithmTemporalSplitting(axisListDestP[axisDstIndex], scalarListSrcP[scalarSrcIndex], temporalSplitting));
 }
+CATCH
 
 bool CAxisAlgorithmTemporalSplitting::registerTrans()
+TRY
 {
   CGridTransformationFactory<CAxis>::registerTransformation(TRANS_TEMPORAL_SPLITTING, create);
 }
-
+CATCH
 
 CAxisAlgorithmTemporalSplitting::CAxisAlgorithmTemporalSplitting(CAxis* axisDestination, CScalar* scalarSource, CTemporalSplitting* algo)
@@ -50,4 +53,5 @@
 
 void CAxisAlgorithmTemporalSplitting::computeIndexSourceMapping_(const std::vector<CArray<double,1>* >& dataAuxInputs)
+TRY
 {
   this->transformationMapping_.resize(1);
@@ -72,4 +76,5 @@
   }
 }
+CATCH
 
 }
Index: /XIOS/dev/dev_olga/src/transformation/axis_algorithm_transformation.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/axis_algorithm_transformation.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/axis_algorithm_transformation.cpp	(revision 1612)
@@ -20,4 +20,5 @@
 CAxisAlgorithmTransformation::CAxisAlgorithmTransformation(CAxis* axisDestination, CAxis* axisSource)
  : CGenericAlgorithmTransformation(), axisDest_(axisDestination), axisSrc_(axisSource), domainSrc_(0),scalarSrc_(0)
+TRY
 {
   axisDestGlobalSize_ = axisDestination->n_glo.getValue();
@@ -28,7 +29,9 @@
     if ((axisDestination->mask)(idx)) axisDestGlobalIndex_.push_back(ibeginDest+idx);
 }
+CATCH
 
 CAxisAlgorithmTransformation::CAxisAlgorithmTransformation(CAxis* axisDestination, CDomain* domainSource)
  : CGenericAlgorithmTransformation(), axisDest_(axisDestination), axisSrc_(0), domainSrc_(domainSource),scalarSrc_(0)
+TRY
 {
   axisDestGlobalSize_ = axisDestination->n_glo.getValue();
@@ -39,7 +42,9 @@
     if ((axisDestination->mask)(idx)) axisDestGlobalIndex_.push_back(ibeginDest+idx);
 }
+CATCH
 
 CAxisAlgorithmTransformation::CAxisAlgorithmTransformation(CAxis* axisDestination, CScalar* scalarSource)
  : CGenericAlgorithmTransformation(), axisDest_(axisDestination), axisSrc_(0), domainSrc_(0), scalarSrc_(scalarSource)
+TRY
 {
   axisDestGlobalSize_ = axisDestination->n_glo.getValue();
@@ -50,4 +55,6 @@
     if ((axisDestination->mask)(idx)) axisDestGlobalIndex_.push_back(ibeginDest+idx);
 }
+CATCH
+
 CAxisAlgorithmTransformation::~CAxisAlgorithmTransformation()
 {
@@ -66,4 +73,5 @@
                                                               int elementType,
                                                               CClientClientDHTInt::Index2VectorInfoTypeMap& globalAxisIndexOnProc)
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -124,4 +132,5 @@
   globalAxisIndexOnProc = dhtIndexProcRank.getInfoIndexMap();
 }
+CATCH
 
 }
Index: /XIOS/dev/dev_olga/src/transformation/axis_algorithm_zoom.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/axis_algorithm_zoom.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/axis_algorithm_zoom.cpp	(revision 1612)
@@ -19,4 +19,5 @@
                                                            std::map<int, int>& elementPositionInGridDst2AxisPosition,
                                                            std::map<int, int>& elementPositionInGridDst2DomainPosition)
+TRY
 {
   std::vector<CAxis*> axisListDestP = gridDst->getAxis();
@@ -29,11 +30,16 @@
   return (new CAxisAlgorithmZoom(axisListDestP[axisDstIndex], axisListSrcP[axisSrcIndex], zoomAxis));
 }
+CATCH
+
 bool CAxisAlgorithmZoom::registerTrans()
+TRY
 {
   CGridTransformationFactory<CAxis>::registerTransformation(TRANS_ZOOM_AXIS, create);
 }
+CATCH
 
 CAxisAlgorithmZoom::CAxisAlgorithmZoom(CAxis* axisDestination, CAxis* axisSource, CZoomAxis* zoomAxis)
 : CAxisAlgorithmTransformation(axisDestination, axisSource)
+TRY
 {
   zoomAxis->checkValid(axisSource);
@@ -104,4 +110,5 @@
   }
 }
+CATCH
 
 /*!
Index: /XIOS/dev/dev_olga/src/transformation/domain_algorithm_compute_connectivity.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/domain_algorithm_compute_connectivity.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/domain_algorithm_compute_connectivity.cpp	(revision 1612)
@@ -24,4 +24,5 @@
                                                                      std::map<int, int>& elementPositionInGridDst2AxisPosition,
                                                                      std::map<int, int>& elementPositionInGridDst2DomainPosition)
+TRY
 {
   std::vector<CDomain*> domainListDestP = gridDst->getDomains();
@@ -34,13 +35,17 @@
   return (new CDomainAlgorithmComputeConnectivity(domainListDestP[domainDstIndex], domainListSrcP[domainSrcIndex], compute_connectivityDomain));
 }
+CATCH
 
 bool CDomainAlgorithmComputeConnectivity::registerTrans()
+TRY
 {
   CGridTransformationFactory<CDomain>::registerTransformation(TRANS_COMPUTE_CONNECTIVITY_DOMAIN, create);
 }
+CATCH
 
 CDomainAlgorithmComputeConnectivity::CDomainAlgorithmComputeConnectivity(CDomain* domainDestination, CDomain* domainSource,
                                                                          CComputeConnectivityDomain* compute_connectivityDomain)
 : CDomainAlgorithmTransformation(domainDestination, domainSource)
+TRY
 {
   this->type_ = (ELEMENT_NO_MODIFICATION_WITHOUT_DATA);
@@ -64,4 +69,5 @@
   computeLocalConnectivity(type, domainDestination, nbNeighborMax, nbNeighbor, localNeighbors);
 }
+CATCH
 
 /*!
@@ -78,4 +84,5 @@
                                                                   CArray<int,1>& nbConnectivity,
                                                                   CArray<int,2>& localConnectivity)
+TRY
 {
 
@@ -93,6 +100,5 @@
     if (nbConnectivityMax < nbConnectivity(idx)) nbConnectivityMax = nbConnectivity(idx);
 }
-
-
+CATCH
 
 /*!
Index: /XIOS/dev/dev_olga/src/transformation/domain_algorithm_expand.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/domain_algorithm_expand.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/domain_algorithm_expand.cpp	(revision 1612)
@@ -26,4 +26,5 @@
                                                                std::map<int, int>& elementPositionInGridDst2AxisPosition,
                                                                std::map<int, int>& elementPositionInGridDst2DomainPosition)
+TRY
 {
   std::vector<CDomain*> domainListDestP = gridDst->getDomains();
@@ -36,9 +37,12 @@
   return (new CDomainAlgorithmExpand(domainListDestP[domainDstIndex], domainListSrcP[domainSrcIndex], expandDomain));
 }
+CATCH
 
 bool CDomainAlgorithmExpand::registerTrans()
+TRY
 {
   CGridTransformationFactory<CDomain>::registerTransformation(TRANS_EXPAND_DOMAIN, create);
 }
+CATCH
 
 CDomainAlgorithmExpand::CDomainAlgorithmExpand(CDomain* domainDestination,
@@ -47,4 +51,5 @@
 : CDomainAlgorithmTransformation(domainDestination, domainSource),
   isXPeriodic_(false), isYPeriodic_(false)
+TRY
 {
   if (domainDestination == domainSource)
@@ -77,4 +82,5 @@
   }
 }
+CATCH
 
 /*!
@@ -85,4 +91,5 @@
 void CDomainAlgorithmExpand::expandDomainEdgeConnectivity(CDomain* domainDestination,
                                                           CDomain* domainSource)
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -104,4 +111,5 @@
   }  
 }
+CATCH
 
 /*!
@@ -112,4 +120,5 @@
 void CDomainAlgorithmExpand::expandDomainNodeConnectivity(CDomain* domainDestination,
                                                           CDomain* domainSource)
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -131,4 +140,5 @@
   }  
 }
+CATCH
 
 /*!
@@ -142,4 +152,5 @@
                                                                CDomain* domainSource,
                                                                CArray<int,2>& neighborsDomainSrc)
+TRY
 {
   int index, globalIndex, idx;
@@ -455,4 +466,5 @@
    domainDestination->computeLocalMask() ;
 }
+CATCH
 
 /*!
@@ -466,4 +478,5 @@
                                                                 CDomain* domainSource,
                                                                 CArray<int,2>& neighborsDomainSrc)
+TRY
 {
 
@@ -669,5 +682,5 @@
   domainDestination->computeLocalMask() ;
 }
-
+CATCH
 
 /*!
Index: /XIOS/dev/dev_olga/src/transformation/domain_algorithm_extract.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/domain_algorithm_extract.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/domain_algorithm_extract.cpp	(revision 1612)
@@ -16,4 +16,5 @@
                                                              std::map<int, int>& elementPositionInGridDst2AxisPosition,
                                                              std::map<int, int>& elementPositionInGridDst2DomainPosition)
+TRY
 {
   std::vector<CDomain*> domainListDestP = gridDst->getDomains();
@@ -26,12 +27,16 @@
   return (new CDomainAlgorithmExtract(domainListDestP[domainDstIndex], domainListSrcP[domainSrcIndex], extractDomain));
 }
+CATCH
 
 bool CDomainAlgorithmExtract::registerTrans()
+TRY
 {
   CGridTransformationFactory<CDomain>::registerTransformation(TRANS_EXTRACT_DOMAIN, create);
 }
+CATCH
 
 CDomainAlgorithmExtract::CDomainAlgorithmExtract(CDomain* domainDestination, CDomain* domainSource, CExtractDomain* extractDomain)
 : CDomainAlgorithmTransformation(domainDestination, domainSource)
+TRY
 {
   extractDomain->checkValid(domainSource);
@@ -220,4 +225,5 @@
 
 }
+CATCH
 
 /*!
Index: /XIOS/dev/dev_olga/src/transformation/domain_algorithm_generate_rectilinear.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/domain_algorithm_generate_rectilinear.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/domain_algorithm_generate_rectilinear.cpp	(revision 1612)
@@ -20,4 +20,5 @@
                                                                          CGenerateRectilinearDomain* genRectDomain)
 : CDomainAlgorithmTransformation(domainDestination, domainSource), nbDomainDistributedPart_(0)
+TRY
 {
   type_ = ELEMENT_GENERATION;
@@ -30,4 +31,5 @@
   fillInAttributesDomainDestination();
 }
+CATCH
 
 /*!
@@ -43,4 +45,5 @@
 */
 void CDomainAlgorithmGenerateRectilinear::computeDistributionGridSource(CGrid* gridSrc)
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -94,4 +97,5 @@
   }
 }
+CATCH
 
 /*!
@@ -99,4 +103,5 @@
 */
 void CDomainAlgorithmGenerateRectilinear::computeDistributionGridDestination(CGrid* gridDest)
+TRY
 {
   // For now, just suppose that the grid contains only one domain
@@ -121,4 +126,5 @@
 
 }
+CATCH
 
 /*!
@@ -126,4 +132,5 @@
 */
 void CDomainAlgorithmGenerateRectilinear::fillInAttributesDomainDestination()
+TRY
 {
   if (!domainDest_->distributionAttributesHaveValue())
@@ -131,4 +138,4 @@
   domainDest_->fillInLonLat();
 }
-
+CATCH
 }
Index: /XIOS/dev/dev_olga/src/transformation/domain_algorithm_interpolate.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/domain_algorithm_interpolate.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/domain_algorithm_interpolate.cpp	(revision 1612)
@@ -31,4 +31,5 @@
                                                                      std::map<int, int>& elementPositionInGridDst2AxisPosition,
                                                                      std::map<int, int>& elementPositionInGridDst2DomainPosition)
+TRY
 {
   std::vector<CDomain*> domainListDestP = gridDst->getDomains();
@@ -41,12 +42,16 @@
   return (new CDomainAlgorithmInterpolate(domainListDestP[domainDstIndex], domainListSrcP[domainSrcIndex], interpolateDomain));
 }
+CATCH
 
 bool CDomainAlgorithmInterpolate::registerTrans()
+TRY
 {
   CGridTransformationFactory<CDomain>::registerTransformation(TRANS_INTERPOLATE_DOMAIN, create);
 }
+CATCH
 
 CDomainAlgorithmInterpolate::CDomainAlgorithmInterpolate(CDomain* domainDestination, CDomain* domainSource, CInterpolateDomain* interpDomain)
 : CDomainAlgorithmTransformation(domainDestination, domainSource), interpDomain_(interpDomain), writeToFile_(false), readFromFile_(false)
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -93,4 +98,5 @@
     
 }
+CATCH
 
 /*!
@@ -98,4 +104,5 @@
 */
 void CDomainAlgorithmInterpolate::computeRemap()
+TRY
 {
   using namespace sphereRemap;
@@ -399,7 +406,9 @@
 
 }
+CATCH
 
 void CDomainAlgorithmInterpolate::processPole(std::map<int,std::vector<std::pair<int,double> > >& interMapValuePole,
                                               int nbGlobalPointOnPole)
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -468,4 +477,5 @@
 
 }
+CATCH
 
 /*!
@@ -473,4 +483,5 @@
 */
 void CDomainAlgorithmInterpolate::computeIndexSourceMapping_(const std::vector<CArray<double,1>* >& dataAuxInputs)
+TRY
 {
   if (readFromFile_)  
@@ -481,11 +492,15 @@
   }
 }
+CATCH
 
 void CDomainAlgorithmInterpolate::writeRemapInfo(std::map<int,std::vector<std::pair<int,double> > >& interpMapValue)
+TRY
 {  
   writeInterpolationInfo(fileToReadWrite_, interpMapValue);
 }
+CATCH
 
 void CDomainAlgorithmInterpolate::readRemapInfo()
+TRY
 {  
   std::map<int,std::vector<std::pair<int,double> > > interpMapValue;
@@ -494,6 +509,8 @@
   exchangeRemapInfo(interpMapValue);
 }
+CATCH
 
 void CDomainAlgorithmInterpolate::convertRemapInfo(std::map<int,std::vector<std::pair<int,double> > >& interpMapValue)
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -520,4 +537,5 @@
   }      
 }
+CATCH
 
 /*!
@@ -525,4 +543,5 @@
 */
 void CDomainAlgorithmInterpolate::exchangeRemapInfo(std::map<int,std::vector<std::pair<int,double> > >& interpMapValue)
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -704,4 +723,5 @@
   delete [] recvBuff;
 }
+CATCH
  
 /*! Redefined some functions of CONetCDF4 to make use of them */
@@ -710,18 +730,24 @@
 int CDomainAlgorithmInterpolate::WriteNetCdf::addDimensionWrite(const StdString& name, 
                                                                 const StdSize size)
+TRY
 {
   return CONetCDF4::addDimension(name, size);  
 }
+CATCH
 
 int CDomainAlgorithmInterpolate::WriteNetCdf::addVariableWrite(const StdString& name, nc_type type,
                                                                const std::vector<StdString>& dim)
+TRY
 {
   return CONetCDF4::addVariable(name, type, dim);
 }
+CATCH
 
 void CDomainAlgorithmInterpolate::WriteNetCdf::endDefinition()
+TRY
 {
   CONetCDF4::definition_end();
 }
+CATCH
 
 void CDomainAlgorithmInterpolate::WriteNetCdf::writeDataIndex(const CArray<int,1>& data, const StdString& name,
@@ -729,7 +755,9 @@
                                                               const std::vector<StdSize>* start,
                                                               const std::vector<StdSize>* count)
+TRY
 {
   CONetCDF4::writeData<int,1>(data, name, collective, record, start, count);
 }
+CATCH
 
 void CDomainAlgorithmInterpolate::WriteNetCdf::writeDataIndex(const CArray<double,1>& data, const StdString& name,
@@ -737,7 +765,9 @@
                                                               const std::vector<StdSize>* start,
                                                               const std::vector<StdSize>* count)
+TRY
 {
   CONetCDF4::writeData<double,1>(data, name, collective, record, start, count);
 }
+CATCH
 
 /*
@@ -748,4 +778,5 @@
 void CDomainAlgorithmInterpolate::writeInterpolationInfo(std::string& filename,
                                                          std::map<int,std::vector<std::pair<int,double> > >& interpMapValue)
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -827,4 +858,5 @@
   netCdfWriter.closeFile();
 }
+CATCH
 
 /*!
@@ -836,4 +868,5 @@
 void CDomainAlgorithmInterpolate::readInterpolationInfo(std::string& filename,
                                                         std::map<int,std::vector<std::pair<int,double> > >& interpMapValue)
+TRY
 {
   int ncid ;
@@ -894,4 +927,5 @@
       interpMapValue[dstIndex[ind]-indexOffset].push_back(make_pair(srcIndex[ind]-indexOffset,weight[ind]));
  }
+CATCH
 
 void CDomainAlgorithmInterpolate::apply(const std::vector<std::pair<int,double> >& localIndex,
@@ -900,4 +934,5 @@
                                             std::vector<bool>& flagInitial,
                                             bool ignoreMissingValue, bool firstPass  )
+TRY
 {
   int nbLocalIndex = localIndex.size();   
@@ -941,6 +976,8 @@
   }
 }
+CATCH
 
 void CDomainAlgorithmInterpolate::updateData(CArray<double,1>& dataOut)
+TRY
 {
   if (detectMissingValue)
@@ -961,4 +998,5 @@
   }
 }
-
-}
+CATCH
+
+}
Index: /XIOS/dev/dev_olga/src/transformation/domain_algorithm_reorder.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/domain_algorithm_reorder.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/domain_algorithm_reorder.cpp	(revision 1612)
@@ -19,4 +19,5 @@
                                                              std::map<int, int>& elementPositionInGridDst2AxisPosition,
                                                              std::map<int, int>& elementPositionInGridDst2DomainPosition)
+TRY
 {
   std::vector<CDomain*> domainListDestP = gridDst->getDomains();
@@ -29,12 +30,16 @@
   return (new CDomainAlgorithmReorder(domainListDestP[domainDstIndex], domainListSrcP[domainSrcIndex], reorderDomain));
 }
+CATCH
 
 bool CDomainAlgorithmReorder::registerTrans()
+TRY
 {
   CGridTransformationFactory<CDomain>::registerTransformation(TRANS_REORDER_DOMAIN, create);
 }
+CATCH
 
 CDomainAlgorithmReorder::CDomainAlgorithmReorder(CDomain* domainDestination, CDomain* domainSource, CReorderDomain* reorderDomain)
 : CDomainAlgorithmTransformation(domainDestination, domainSource)
+TRY
 {
   reorderDomain->checkValid(domainSource);
@@ -109,7 +114,6 @@
     }
   }
-    
-  
 }
+CATCH
 
 /*!
Index: /XIOS/dev/dev_olga/src/transformation/domain_algorithm_transformation.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/domain_algorithm_transformation.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/domain_algorithm_transformation.cpp	(revision 1612)
@@ -36,4 +36,5 @@
                                                                 int elementType,
                                                                 CClientClientDHTInt::Index2VectorInfoTypeMap& globalDomainIndexOnProc)
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -65,4 +66,5 @@
   globalDomainIndexOnProc = dhtIndexProcRank.getInfoIndexMap();
 }
+CATCH
 
 }
Index: /XIOS/dev/dev_olga/src/transformation/domain_algorithm_zoom.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/domain_algorithm_zoom.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/domain_algorithm_zoom.cpp	(revision 1612)
@@ -16,4 +16,5 @@
                                                              std::map<int, int>& elementPositionInGridDst2AxisPosition,
                                                              std::map<int, int>& elementPositionInGridDst2DomainPosition)
+TRY
 {
   std::vector<CDomain*> domainListDestP = gridDst->getDomains();
@@ -26,12 +27,16 @@
   return (new CDomainAlgorithmZoom(domainListDestP[domainDstIndex], domainListSrcP[domainSrcIndex], zoomDomain));
 }
+CATCH
 
 bool CDomainAlgorithmZoom::registerTrans()
+TRY
 {
   CGridTransformationFactory<CDomain>::registerTransformation(TRANS_ZOOM_DOMAIN, create);
 }
+CATCH
 
 CDomainAlgorithmZoom::CDomainAlgorithmZoom(CDomain* domainDestination, CDomain* domainSource, CZoomDomain* zoomDomain)
 : CDomainAlgorithmTransformation(domainDestination, domainSource)
+TRY
 {
   zoomDomain->checkValid(domainSource);
@@ -269,4 +274,5 @@
 
 }
+CATCH
 
 /*!
Index: /XIOS/dev/dev_olga/src/transformation/generic_algorithm_transformation.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/generic_algorithm_transformation.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/generic_algorithm_transformation.cpp	(revision 1612)
@@ -34,4 +34,5 @@
                                             std::vector<bool>& flagInitial,
                                             bool ignoreMissingValue, bool firstPass  )
+TRY
 {
   int nbLocalIndex = localIndex.size();   
@@ -61,6 +62,8 @@
   }
 }
+CATCH
 
 void CGenericAlgorithmTransformation::computePositionElements(CGrid* dst, CGrid* src)
+TRY
 {
   int idxScalar = 0, idxAxis = 0, idxDomain = 0;
@@ -108,6 +111,8 @@
   }
 }
+CATCH
 
 bool CGenericAlgorithmTransformation::isDistributedTransformation(int elementPositionInGrid, CGrid* gridSrc, CGrid* gridDst)
+TRY
 {
 
@@ -147,5 +152,7 @@
   }
   return isDistributed_ ;
-}  
+}
+CATCH
+
 /*!
   This function computes the global indexes of grid source, which the grid destination is in demand.
@@ -160,4 +167,5 @@
                                                                CGrid* gridDst,
                                                                SourceDestinationIndexMap& globaIndexWeightFromSrcToDst)
+TRY
  {
   CContext* context = CContext::getCurrent();
@@ -443,4 +451,5 @@
   }  
  }
+CATCH
 
 /*!
@@ -461,4 +470,5 @@
                                                                    std::vector<std::unordered_map<int,std::vector<size_t> > >& globalElementIndexOnProc,
                                                                    SourceDestinationIndexMap& globaIndexWeightFromSrcToDst)
+TRY
 {
   SourceDestinationIndexMap globaIndexWeightFromSrcToDst_tmp ;
@@ -640,6 +650,6 @@
        }
      }
-
-}
+}
+CATCH
 
 /*!
@@ -654,4 +664,5 @@
                                                                  CArray<size_t,1>& destGlobalIndexPositionInGrid,
                                                                  std::unordered_map<int,std::vector<size_t> >& globalScalarIndexOnProc)
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -666,4 +677,5 @@
   }
 }
+CATCH
 
 /*!
@@ -678,4 +690,5 @@
                                                                CArray<size_t,1>& destGlobalIndexPositionInGrid,
                                                                std::unordered_map<int,std::vector<size_t> >& globalAxisIndexOnProc)
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -735,4 +748,5 @@
   }
 }
+CATCH
 
 /*!
@@ -747,4 +761,5 @@
                                                                  CArray<size_t,1>& destGlobalIndexPositionInGrid,
                                                                  std::unordered_map<int,std::vector<size_t> >& globalDomainIndexOnProc)
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -838,12 +853,10 @@
   }
 }
-
-
-
-
+CATCH
 
 void CGenericAlgorithmTransformation::computeTransformationMappingNonDistributed(int elementPositionInGrid, CGrid* gridSrc, CGrid* gridDst,
                                                                                  vector<int>& localSrc, vector<int>& localDst, vector<double>& weight,
                                                                                  int& nlocalIndexDest)
+TRY
 {
 
@@ -1010,4 +1023,5 @@
                
 }
+CATCH
 
 
@@ -1017,4 +1031,5 @@
                                                                    int& t, vector<vector<vector<pair<int,double> > > >& dstIndWeight, int currentInd,
                                                                    vector<int>& localSrc, vector<int>& localDst, vector<double>& weight)
+TRY
 {
   int masked_ ;
@@ -1099,4 +1114,5 @@
 
 }
+CATCH
 
 /*!
@@ -1106,17 +1122,23 @@
 */
 void CGenericAlgorithmTransformation::computeIndexSourceMapping(const std::vector<CArray<double,1>* >& dataAuxInputs)
+TRY
 {
   computeIndexSourceMapping_(dataAuxInputs);
 }
+CATCH
 
 std::vector<StdString> CGenericAlgorithmTransformation::getIdAuxInputs()
+TRY
 {
   return idAuxInputs_;
 }
+CATCH
 
 CGenericAlgorithmTransformation::AlgoTransType CGenericAlgorithmTransformation::type()
+TRY
 {
   return type_;
 }
-
-}
+CATCH
+
+}
